body .modal-container {
    z-index: 999;
    width: 100%;
    height: 100%;
    overflow: clip;
    pointer-events: none;
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    background: rgba(0,0,0,0.25);
    backdrop-filter:
        blur(5px) 
        brightness(80%)
        saturate(150%);
}
.modal-container.open {
    pointer-events: all;
    display: flex;
    justify-content: center;
    align-items: center;
}

.modal-container .modal {
    width: fit-content;
    height: fit-content;
    min-height: 50vh;
    min-width: 50vw;
    max-width: 80vw;
    position: fixed;
    color: white;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: none;
    animation: slideIn 0.4s ease 0s 1;
}
.modal-container.open .modal {
    display: block;
}
@keyframes fadeIn {
    from { opacity: 0; }
    to { opacity: 1; }
}
@keyframes slideIn {
    from {
        top: 75%;
        opacity: 0;
    }
    to {
        top: 50%;
        opacity: 1;
    }
}